| 0.9.9 API documenation

Functions
fast_exponential.hpp File Reference

Go to the source code of this file.

## Functions
template<typename T >
GLM_FUNC_DECL T | fastExp (T x)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fastExp (vec< L, T, Q > const &x)
template<typename T >
GLM_FUNC_DECL T | fastExp2 (T x)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fastExp2 (vec< L, T, Q > const &x)
template<typename T >
GLM_FUNC_DECL T | fastLog (T x)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fastLog (vec< L, T, Q > const &x)
template<typename T >
GLM_FUNC_DECL T | fastLog2 (T x)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fastLog2 (vec< L, T, Q > const &x)
template<typename genType >
GLM_FUNC_DECL genType | fastPow (genType x, genType y)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fastPow (vec< L, T, Q > const &x, vec< L, T, Q > const &y)
template<typename genTypeT , typename genTypeU >
GLM_FUNC_DECL genTypeT | fastPow (genTypeT x, genTypeU y)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fastPow (vec< L, T, Q > const &x)

## Detailed Description

GLM_GTX_fast_exponential

See also
  Core features (dependence)
  gtx_half_float (dependence)

Definition in file fast_exponential.hpp.